#ifndef __NQS_DEBUG_HEADER
#define __NQS_DEBUG_HEADER

/*
 * h/nqs/debug.h
 * Debugging macros for use with Generic NQS
 * 
 * Original Author:
 * Stuart Herbert (S.Herbert@sheffield.ac.uk)
 */

#define RUN_ONCE_ONLY \
  static int iFlag =0; \
  assert(iFlag != 0); \
  iFlag++

#define NEVER \
  assert(1)

#endif /* __NQS_DEBUG_HEADER */
